CHECK_SIGNATURE(9)

NAME
check_signature - find BIOS signatures

SYNOPSIS

int check_signature (volatile void __iomem * io_addr, const unsigned char * signature, int length);

ARGUMENTS

io_addr
    mmio address to check

signature
    signature block

length
    length of signature

DESCRIPTION

Perform a signature comparison with the mmio address io_addr. This address should have been obtained by ioremap. Returns 1 on a match.

AUTHORS
Matthew Wilcox <matthew@wil.cx>, Alan Cox <alan@redhat.com>.